<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: BinaryOpPropertiesLight Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_binary_op_properties_light.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_binary_op_properties_light-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">BinaryOpPropertiesLight Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_types_for_analysis_8h_source.html">TypesForAnalysis.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for BinaryOpPropertiesLight:</div>
<div class="dyncontent">
<div class="center"><img src="struct_binary_op_properties_light__coll__graph.png" border="0" usemap="#_binary_op_properties_light_coll__map" alt="Collaboration graph"/></div>
<map name="_binary_op_properties_light_coll__map" id="_binary_op_properties_light_coll__map">
<area shape="rect" title=" " alt="" coords="5,317,185,344"/>
<area shape="rect" href="struct_total_location_info.html" title=" " alt="" coords="29,213,162,240"/>
<area shape="rect" href="struct_exp_eval_result.html" title=" " alt="" coords="38,124,153,151"/>
<area shape="rect" href="struct_exp_eval.html" title=" " alt="" coords="58,5,133,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a50ffad8a494777b34dc6ef0008dbf913"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties_light.html#a50ffad8a494777b34dc6ef0008dbf913">isPtrMemOp</a></td></tr>
<tr class="separator:a50ffad8a494777b34dc6ef0008dbf913"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2183b5d8256702b252e57648706d4d5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties_light.html#ab2183b5d8256702b252e57648706d4d5">isMultiplicativeOp</a></td></tr>
<tr class="separator:ab2183b5d8256702b252e57648706d4d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac428b347b87013e52c90a7b1f521523d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties_light.html#ac428b347b87013e52c90a7b1f521523d">isAdditiveOp</a></td></tr>
<tr class="separator:ac428b347b87013e52c90a7b1f521523d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59e7ea1e0bb4b7445d259f06e3d421fa"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties_light.html#a59e7ea1e0bb4b7445d259f06e3d421fa">isShiftOp</a></td></tr>
<tr class="separator:a59e7ea1e0bb4b7445d259f06e3d421fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac549dc09a6842e386462e40cfd52de98"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties_light.html#ac549dc09a6842e386462e40cfd52de98">isBitwiseOp</a></td></tr>
<tr class="separator:ac549dc09a6842e386462e40cfd52de98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a979c782cf48372975093454f15e2cbd0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties_light.html#a979c782cf48372975093454f15e2cbd0">isRelationalOp</a></td></tr>
<tr class="separator:a979c782cf48372975093454f15e2cbd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a507f4b5803cbb92138c5d95f1ba81ea4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties_light.html#a507f4b5803cbb92138c5d95f1ba81ea4">isEqualityOp</a></td></tr>
<tr class="separator:a507f4b5803cbb92138c5d95f1ba81ea4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae822e5b9b76b7290a7e1449834bd24d7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties_light.html#ae822e5b9b76b7290a7e1449834bd24d7">isComparisonOp</a></td></tr>
<tr class="separator:ae822e5b9b76b7290a7e1449834bd24d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a422e47b47e9a13c26fbaca6cd10700bd"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties_light.html#a422e47b47e9a13c26fbaca6cd10700bd">isLogicalOp</a></td></tr>
<tr class="separator:a422e47b47e9a13c26fbaca6cd10700bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65761439cc21f9ad0e5469eb99da4163"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties_light.html#a65761439cc21f9ad0e5469eb99da4163">isAssignmentOp</a></td></tr>
<tr class="separator:a65761439cc21f9ad0e5469eb99da4163"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36385bff7f15390bd5c82fc4e352c30d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties_light.html#a36385bff7f15390bd5c82fc4e352c30d">isCompoundAssignmentOp</a></td></tr>
<tr class="separator:a36385bff7f15390bd5c82fc4e352c30d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93e703b37f9889509bab1b1a2d5ba813"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties_light.html#a93e703b37f9889509bab1b1a2d5ba813">isShiftAssignOp</a></td></tr>
<tr class="separator:a93e703b37f9889509bab1b1a2d5ba813"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab656c923dd5ef79a507a431dcbdfd7e8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties_light.html#ab656c923dd5ef79a507a431dcbdfd7e8">hasGlobalLHS</a></td></tr>
<tr class="separator:ab656c923dd5ef79a507a431dcbdfd7e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20497c8d158e74c2520f0b30d0bb681c"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties_light.html#a20497c8d158e74c2520f0b30d0bb681c">noOfGlobalRHS</a></td></tr>
<tr class="separator:a20497c8d158e74c2520f0b30d0bb681c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acba4d519d706e67cbe644f7b8e4cae6b"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties_light.html#acba4d519d706e67cbe644f7b8e4cae6b">noOfLocalRHS</a></td></tr>
<tr class="separator:acba4d519d706e67cbe644f7b8e4cae6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad719d6ac3b0cc0a91c27ea42b451f5e3"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties_light.html#ad719d6ac3b0cc0a91c27ea42b451f5e3">opcode</a></td></tr>
<tr class="separator:ad719d6ac3b0cc0a91c27ea42b451f5e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79e9ad2e4acb648da16d19f39c337cb0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_total_location_info.html">TotalLocationInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties_light.html#a79e9ad2e4acb648da16d19f39c337cb0">LHSPosition</a></td></tr>
<tr class="separator:a79e9ad2e4acb648da16d19f39c337cb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada711d8752932835cc2ac049b556ca86"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_total_location_info.html">TotalLocationInfo</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_binary_op_properties_light.html#ada711d8752932835cc2ac049b556ca86">RHSPosition</a></td></tr>
<tr class="separator:ada711d8752932835cc2ac049b556ca86"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ab656c923dd5ef79a507a431dcbdfd7e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab656c923dd5ef79a507a431dcbdfd7e8">&#9670;&nbsp;</a></span>hasGlobalLHS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpPropertiesLight::hasGlobalLHS</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac428b347b87013e52c90a7b1f521523d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac428b347b87013e52c90a7b1f521523d">&#9670;&nbsp;</a></span>isAdditiveOp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpPropertiesLight::isAdditiveOp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a65761439cc21f9ad0e5469eb99da4163"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65761439cc21f9ad0e5469eb99da4163">&#9670;&nbsp;</a></span>isAssignmentOp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpPropertiesLight::isAssignmentOp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac549dc09a6842e386462e40cfd52de98"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac549dc09a6842e386462e40cfd52de98">&#9670;&nbsp;</a></span>isBitwiseOp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpPropertiesLight::isBitwiseOp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae822e5b9b76b7290a7e1449834bd24d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae822e5b9b76b7290a7e1449834bd24d7">&#9670;&nbsp;</a></span>isComparisonOp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpPropertiesLight::isComparisonOp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a36385bff7f15390bd5c82fc4e352c30d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36385bff7f15390bd5c82fc4e352c30d">&#9670;&nbsp;</a></span>isCompoundAssignmentOp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpPropertiesLight::isCompoundAssignmentOp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a507f4b5803cbb92138c5d95f1ba81ea4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a507f4b5803cbb92138c5d95f1ba81ea4">&#9670;&nbsp;</a></span>isEqualityOp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpPropertiesLight::isEqualityOp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a422e47b47e9a13c26fbaca6cd10700bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a422e47b47e9a13c26fbaca6cd10700bd">&#9670;&nbsp;</a></span>isLogicalOp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpPropertiesLight::isLogicalOp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab2183b5d8256702b252e57648706d4d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2183b5d8256702b252e57648706d4d5">&#9670;&nbsp;</a></span>isMultiplicativeOp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpPropertiesLight::isMultiplicativeOp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a50ffad8a494777b34dc6ef0008dbf913"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50ffad8a494777b34dc6ef0008dbf913">&#9670;&nbsp;</a></span>isPtrMemOp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpPropertiesLight::isPtrMemOp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a979c782cf48372975093454f15e2cbd0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a979c782cf48372975093454f15e2cbd0">&#9670;&nbsp;</a></span>isRelationalOp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpPropertiesLight::isRelationalOp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a93e703b37f9889509bab1b1a2d5ba813"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93e703b37f9889509bab1b1a2d5ba813">&#9670;&nbsp;</a></span>isShiftAssignOp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpPropertiesLight::isShiftAssignOp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a59e7ea1e0bb4b7445d259f06e3d421fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59e7ea1e0bb4b7445d259f06e3d421fa">&#9670;&nbsp;</a></span>isShiftOp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool BinaryOpPropertiesLight::isShiftOp</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a79e9ad2e4acb648da16d19f39c337cb0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79e9ad2e4acb648da16d19f39c337cb0">&#9670;&nbsp;</a></span>LHSPosition</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_total_location_info.html">TotalLocationInfo</a> BinaryOpPropertiesLight::LHSPosition</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a20497c8d158e74c2520f0b30d0bb681c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20497c8d158e74c2520f0b30d0bb681c">&#9670;&nbsp;</a></span>noOfGlobalRHS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned BinaryOpPropertiesLight::noOfGlobalRHS</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acba4d519d706e67cbe644f7b8e4cae6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acba4d519d706e67cbe644f7b8e4cae6b">&#9670;&nbsp;</a></span>noOfLocalRHS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned BinaryOpPropertiesLight::noOfLocalRHS</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad719d6ac3b0cc0a91c27ea42b451f5e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad719d6ac3b0cc0a91c27ea42b451f5e3">&#9670;&nbsp;</a></span>opcode</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string BinaryOpPropertiesLight::opcode</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ada711d8752932835cc2ac049b556ca86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada711d8752932835cc2ac049b556ca86">&#9670;&nbsp;</a></span>RHSPosition</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_total_location_info.html">TotalLocationInfo</a> BinaryOpPropertiesLight::RHSPosition</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_binary_op_properties_light.html">BinaryOpPropertiesLight</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
